function dydt = burgersfun(t,y)
% This is the rhs of the ODE system for the Burgers equation
% For the globals, see the main program
global VX
global VXd
global VXdd
global VL
global VLd
global VLdd
global boldg
global Re

sval  =VX'  *y+VL'  *boldg; % s values
sdval =VXd' *y+VLd' *boldg; % s_x values
sddval=VXdd'*y+VLdd'*boldg; % s_xx values  
res=sddval/Re-sval.*sdval;  % rhs of Burgers equation
dydt=res(2:end-1,:);        % we need only the actual variables,
% not the constant boundary values.
